
Ryzom - Bug # 911

Status: New Priority: Normal
Author: AllenJB Category: Build
Created: 05/18/2010 Assignee:
Updated: 01/08/2011 Due date:
Subject: Build: NelNS does not respect DESTDIR
Description

NelNS does not respect DESTDIR when installing.

Discovered while creating a package for Gentoo Linux. The following is the log from the failed install phase:

>>> Install nelns-9999 into /var/tmp/portage/dev-games/nelns-9999/image/ category dev-games
>>> Working in BUILD_DIR: "/var/tmp/portage/dev-games/nelns-9999/work/ryzom/code/nelns_build" 
make -j2 --load-average=1.5 install DESTDIR=/var/tmp/portage/dev-games/nelns-9999/image/
[ 16%] [ 33%] Built target admin_executor_service
Built target admin_service
[ 41%] Built target naming_service
[ 83%] Built target login_service
[100%] Built target welcome_service
Install the project...
-- Install configuration: "Release" 
ACCESS DENIED  mkdir:        /usr/var
CMake Error at cmake_install.cmake:36 (FILE):
  file problem creating directory: /usr/var/log/nelns

make: *** [install] Error 1
 * ERROR: dev-games/nelns-9999 failed:
 *   Make install failed
 *
 * Call stack:
 *     ebuild.sh, line   48:  Called src_install
 *   environment, line 3076:  Called cmake-utils_src_install
 *   environment, line  804:  Called _execute_optionaly 'src_install'
 *   environment, line  274:  Called enable_cmake-utils_src_install
 *   environment, line 1211:  Called die
 * The specific snippet of code:
 *       emake install DESTDIR="${D}" || die "Make install failed";
 *
 * If you need support, post the output of 'emerge --info =dev-games/nelns-9999',
 * the complete build log and the output of 'emerge -pqv =dev-games/nelns-9999'.
 * This ebuild is from an overlay named 'allenjb': '/usr/local/portage/'
 * The complete build log is located at '/var/log/portage/build/dev-games/nelns-9999:20100517-213724.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-games/nelns-9999/temp/environment'.
 * S: '/var/tmp/portage/dev-games/nelns-9999/work/ryzom/code/nelns'
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE "/var/log/sandbox/sandbox-11496.log" 

VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: mkdir
S: deny
P: /usr/var
A: /usr/var
R: /usr/var
C: /usr/bin/cmake -P cmake_install.cmake
--------------------------------------------------------------------------------

History
#1 - 05/18/2010 10:25 am - vl
- Target version set to Version 0.8.0

#2 - 05/18/2010 10:24 pm - AllenJB
- File nelns-destdir.patch added

...and here's a patch I created that makes it work as desired.

#3 - 01/08/2011 06:45 pm - kervala
- Target version deleted (Version 0.8.0)

Files
nelns-destdir.patch 547 Bytes 05/18/2010 AllenJB

07/09/2015 2/2


